darkfrei (Все сообщения пользователя)

Выбрать дату в календареВыбрать дату в календаре

Страницы: 1 2 3 4 5 6 7 8 9 10 11 ... 21 След.
Сварочный шов
[QUOTE]AK47 пишет:
что со всем этим делать, знает кто-нить?[/QUOTE]
Всегда прикладывать скриншот и сломанный файл.

Попробуй выбирать в обратном порядке, иногда помогает.
Сортировка в спецификации
На чертеже есть эта галочка.
sort.PNG (81.61 КБ)
Размер радиуса с изломом
[QUOTE]При большом радиусе центр допускается приближать к дуге, в этом случае его размерную линию показывают с изломом под 90⁰ Рисунок 6. Если не требуется указывать размеры, определяющие положения центра дуги окружности, то размерную линию допускается не доводить до центра и смещать ее относительно центра.[/QUOTE]
Изменено: darkfrei - 17.07.2015 10:14:53
Оформление спецификации на других языках, Как заменить надписи в спецификации на другие языки?
[QUOTE]Vedya пишет:

Правка - Обозначение, наименование ничего не дают.[/QUOTE]
ПКМ - форматирование
Спецификация в Инвентор, Еще один взгляд на эту проблему
[QUOTE]Ферит пишет:

Михаил, подскажите, как можно резервировать номера при переходе с категорий после нажатия клавиши "Перенумеровать все"? Например, у меня есть 3 сборочные единицы и 2 детали, хочу чтобы сборки были пронумерованы 1;2;3, а детали 6;7 (4;5 остались в запасе).[/QUOTE]

Вставить вручную из экселя.
AI 2016
[QUOTE]blooddew пишет:

Появилась проблема.

При удалении 2014 (рядом стоял и место занимал).

2016 - стал каждый новый файл открывать в отдельном АИ... :evil:

И "слетела" ассоциация файлов - т.е. иконки у файлов чертежей, моделей и т.п. не отличается.



sloter

Сори дома до компа не добраться...[/QUOTE]

Удали ассоциацию файлов, а потом запусти инвентор. Вручную ставить ассоциацию нельзя - будут новые инвенторы открываться.
Вопрос к знатокам iLogic, Размеры детали.
Набросал программу для подсчёта количества листов в чертеже и количества видов на листе. Заодно по перенумерации видов по шаблону A, B .. Z, AA, AB, .. ZZ.
Как посчитать суммарное количество деталей на листе?

Скрытый текст
Вопрос к знатокам iLogic, Размеры детали.
Как вот это диалоговое окно переключить iLogic? Есть вид "4", нужно переключить на "4.04".
Pos.4.04.PNG (44.15 КБ)
Вопрос к знатокам iLogic, Размеры детали.
#самспросилсамответил

[CODE]Dim oDoc As DrawingDocument = ThisDoc.Document
Dim oView As DrawingView = Nothing
Dim oSheet As Sheet = oDoc.ActiveSheet
Dim oDrawingViews As DrawingViews = oSheet.DrawingViews


For i = 1 To oDrawingViews.Count
oView = oDrawingViews.Item(i)

Try

oView.SetDesignViewRepresentation("Ein", False)
'oView.View.IsRasterView = False

Catch
End Try

Next

ThisApplication.ActiveView.Update()[/CODE]

Код переключает на открытом листе чертежа все виды на вид с названием "Ein".

Добавив что-то вроде
[CODE]for j 1 to oSheets.Count
Dim oDrawingViews As DrawingViews = ThisApplication.ActiveDocument.Sheets.Item(j).DrawingViews[/CODE]
можно заставить переключать его на всех листах.
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Алексей Романов пишет:[QUOTE]darkfrei пишет:А как переключить на чертеже уровень видимости и поставить галку ассоциативности?[/QUOTE]А скрин можно для ясности?[/QUOTE]

Вот тут видно видовое представление сборки на чертеже и галка ассоциативности.
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Алексей Романов пишет:
[QUOTE]R.I.Chernov пишет:
для какого языка этот код?[/QUOTE]VB.NET Тут похоже для iLogic. darkfrei хитрый, вместо всяких проверок весь код засунул в обработчик ошибок, дешево и сердито... ;)[/QUOTE]

[B]For Each[/B] и большая сборка вызывают ошибки почти всегда. vb.net не использую, а вот iLogic очень нравится.
Изменено: darkfrei - 19.06.2015 13:49:48
Вопрос к знатокам iLogic, Размеры детали.
[CODE]
Dim doc as AssemblyDocument = ThisDoc.Document
Dim oAsmCompDef As ComponentDefinition
oAsmCompDef = doc.ComponentDefinition
Dim oCompOcc As Inventor.ComponentOccurrence

For Each oCompOcc in oAsmCompDef.Occurrences
Try
oCompOcc.SetDesignViewRepresentation("Default", True)
Catch
End Try
Next

ThisApplication.ActiveView.Fit[/CODE]
Вот и код!

А как переключить на чертеже уровень видимости и поставить галку ассоциативности?
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]R.I.Chernov пишет:

Изменение УД сборок/подсборок:



[CODE] Sub Change_UD()
   Dim LODName As String
   LODName = "Уровень детализации" 'Требуемый УД
   
   Dim oCompDef As AssemblyComponentDefinition
   Set oCompDef = ThisApplication.ActiveDocument.ComponentDefinition
   
   'Для сборки
   Dim LOD As LevelOfDetailRepresentation
   Set LOD = oCompDef.RepresentationsManager.LevelOfDetailRepresentations.Item(LODName)
   LOD.Activate
   
   'Для подсборки
   oCompDef.Occurrences.ItemByName("Подсборка").SetLevelOfDetailRepresentation (LODName)
End Sub [/CODE]

П.С. Создание нужного УД анологично[/QUOTE]
А как уровень видимости менять?

Где-то такой код нашел, он создаёт новые уровни видимости для каждой из детали.
Скрытый текст
Изменено: darkfrei - 17.06.2015 12:53:37
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]R.I.Chernov пишет:
"Default" и "По умолчанию" - это одно и то же.
Вы не сможете включить главный вид в деталях, так как видов в деталях нет в принципе, они есть только в сборках.[/QUOTE]
Вот то и надо, в сборках сделать пользовательский вид, а в деталях оставить тот стандартный, нередактируемый.

Кликать по каждой детале/сборке и преключать на другой вид не круто, это задача легко автоматизируется (в теории).
Момент сопряжения деталей
[QUOTE]JannMichel пишет:
Имеем две детали[/QUOTE]
Картинка не прикрепилась.
Изменено: darkfrei - 26.06.2015 08:42:37
Как посчитать длину реза листового материала
[QUOTE]ArtFds пишет:

Алексей, при весьма Вам благодарен, в модели скрипт работает, но на чертеже вот такая ерунда....[/QUOTE]

Так это же чертеж, в нём нет модели, есть свойства листа и положение модели на листе. Модель должна экспортировать параметры модели, тогда на чертеже его можно импортировать.
Как посчитать длину реза листового материала
[QUOTE]ArtFds пишет[/QUOTE]
Можно скрин детали и дерева построения?
Как посчитать длину реза листового материала
[CODE]iProperties.Value("Custom", "Length")= ThisDoc.Document.ComponentDefinition.Sketches.Item(1).Profiles.Item(1).RegionProperties.Perimeter * 10[/CODE]
Можно вручную, а можно через iLogic. Для пользования айлоджиком нужно выдавить весь контур.
Perimeter.png (90.99 КБ)
Изменено: darkfrei - 19.06.2015 10:02:30
Требуется разработать конструкцию качелей дачных., Требуется разработать конструкцию качелей дачных.
Цитата
ol.kryloff2016 пишет:

Требуется разработать конструкцию качелей дачных.

Качели из трубы, металлические.

Конструкция сварная – лист – труба – гибка – сварка.
Лучше в Инвенторе такое делать.
В действительности всё не так как на самом деле.
вопрос по VAULT 2015
Ну и запускать инвентор нужно через проект волта. Тот, который [B]Vault.ipj[/B]
Страницы: 1 2 3 4 5 6 7 8 9 10 11 ... 21 След.